Upgrade Error 500



  • Tried to upgrade just now and get the following error:

    Analyzing the situation…Shop deactivated. Now downloading… (this can take a while)
    [Ajax / Server Error for action download] textStatus: "error " errorThrown:"Internal Server Error " jqXHR: "
    500 Internal Server error


  • Global Moderator

    Did you lost connection or was there a standby?

    I think, I had the same, when my laptop was switching to standby modus ;)



  • No one of boths.

    Now files were upgraded, but database not:

    All files upgraded. Now upgrading database…
    [Ajax / Server Error for action upgradeDb] textStatus: "error " errorThrown:"Internal Server Error " jqXHR: "
    500 Internal Server error

    I have enough max_input and max_execution time: 300 should be enough. It was for PS enough and open for more.



  • BTW, how to know, if there is an upgrade available ? TB is showing 1.0.1. but made an upgrade of the files, DB not. And nowhere is showing which version is latest (like it was with PS). This is a manko.


  • Global Moderator



  • Didn’t tried the new tbupdater, but had time to read error logs of the server. In fact there are several problems with scripts. PS original is working without any problems with 1-click module.

    Errors of TB updater:

    mod_fcgid: stderr: PHP Warning: sprintf(): Too few arguments in …/modules/tbupdater/classes/AjaxProcessor.php on line 286, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater&putUnderMaintenance
    [Mon May 29 11:37:49.431100 2017] [fcgid:warn] [pid 29580] mod_fcgid: stderr: PHP Notice: Use of undefined constant PS_BASE_URI - assumed ‘PS_BASE_URI’ in …/TB/modules/tbupdater/classes/AjaxProcessor.php on line 629, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater&putUnderMaintenance
    [Mon May 29 11:37:54.245521 2017] [fcgid:warn] [pid 30998] mod_fcgid: stderr: PHP Warning: sprintf(): Too few arguments in …/modules/tbupdater/classes/AjaxProcessor.php on line 889, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater&putUnderMaintenance
    [Mon May 29 11:37:57.378553 2017] [fcgid:warn] [pid 30362] mod_fcgid: stderr: PHP Warning: sprintf(): Too few arguments in …/modules/tbupdater/classes/AjaxProcessor.php on line 889, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater&putUnderMaintenance
    [Mon May 29 11:38:00.227414 2017] [fcgid:warn] [pid 30998] mod_fcgid: stderr: PHP Warning: sprintf(): Too few arguments in …/modules/tbupdater/classes/AjaxProcessor.php on line 889, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater&putUnderMaintenance
    [Mon May 29 11:38:03.031016 2017] [fcgid:warn] [pid 793] mod_fcgid: stderr: PHP Warning: sprintf(): Too few arguments in …/modules/tbupdater/classes/AjaxProcessor.php on line 889, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater&putUnderMaintenance
    [Mon May 29 11:38:05.873700 2017] [fcgid:warn] [pid 30998] mod_fcgid: stderr: PHP Warning: sprintf(): Too few arguments in …/modules/tbupdater/classes/AjaxProcessor.php on line 889, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater&putUnderMaintenance

    Than this same line hangs several times….

    [Mon May 29 11:38:38.131614 2017] [fcgid:warn] [pid 29579] (104)Connection reset by peer: mod_fcgid: error reading data from FastCGI server, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater&putUnderMaintenance
    [Mon May 29 11:38:38.132483 2017] [fcgid:warn] [pid 29579] (104)Connection reset by peer: mod_fcgid: ap_pass_brigade failed in handle_request_ipc function, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater&putUnderMaintenance
    [Mon May 29 11:38:38.133071 2017] [include:warn] [pid 29579] AH01374: mod_include: Options +Includes (or IncludesNoExec) wasn’t set, INCLUDES filter removed: /500.shtml, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater&putUnderMaintenance
    [Mon May 29 11:44:34.498911 2017] [fcgid:warn] [pid 817] mod_fcgid: stderr: PHP Warning: sprintf(): Too few arguments in …/modules/tbupdater/classes/AjaxProcessor.php on line 286, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater
    [Mon May 29 11:44:54.699365 2017] [fcgid:warn] [pid 793] (104)Connection reset by peer:] mod_fcgid: error reading data from FastCGI server, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater
    [Mon May 29 11:44:54.699522 2017] [core:error] [pid 793] End of script output before headers: ajax-upgradetab.php, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater
    [Mon May 29 11:44:54.700091 2017] [include:warn] [pid 793] AH01374: mod_include: Options +Includes (or IncludesNoExec) wasn’t set, INCLUDES filter removed: /500.shtml, referer: …/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater



  • Will try the new tbupdater from github. AND no I will not make changes on the server for fcgid settings only for to serve TB, sorry. The only error I will correct is the one of mod_includes (shtml)


  • Global Moderator

    Line 286 in AjaxProcessor.php is this:

    $this->nextQuickInfo[] = sprintf($this->l('Files will be saved to %s and %s'), $this->getCoreFilePath());
    

    Two %s and just one argument indeed look like a bug.



  • If one of the mods wants a temporary login to my admin panel considering my store has not opened yet feel free to let me know so we can try to solve this. (since I am having this issue as well.)

    Edit:

    What I get before it fails
    Currently processing

    Analyzing the situation…Shop deactivated. Now downloading… (this can take a while)
    Download complete. Now extracting…

    Archives will come from https://api.thirtybees.com/updates/packs/thirtybees-v1.0.1.zip and https://api.thirtybees.com/updates/packs/thirtybees-extra-v1.0.1.zip
    md5 hashes for core and extra should be resp. 384da5ef55a0d11a74ac335a177b06b6 and 52e5d34a677585e67e14e95b51ca1caf
    Directory tests complete.
    Downloading from https://api.thirtybees.com/updates/packs/thirtybees-v1.0.1.zip and https://api.thirtybees.com/updates/packs/thirtybees-extra-v1.0.1.zip
    false
    Download directory has been cleared
    Download complete.

    What I get after:
    [Ajax / Server Error for action unzip] textStatus: "error " errorThrown:"Not Found " jqXHR: "

    Same as above.


  • administrators

    @presto5 is there anything in your error log?


  • administrators

    Ohh we discussed this via chat. Hosting provider did BOOM! …and then quit :/



  • trying to paste the new tbupdater 123.zip into hosting. hope it work :D



  • @delapanlima said in Upgrade Error 500:

    trying to paste the new tbupdater 123.zip into hosting. hope it work :D

    isnt worked !



  • Now since weeks still the same problem and no sulution. On same server running several Prestashop native, also PS 1.7. (test) without any problem with 1-click-upgrade.

    Downloaded the TB-updater package from github and uploaded it. Tried upgrade. Same error. Updated the updater today again on back-office successfully (followed the message - there is an update for TB available -). Tried upgrade. Same error again.



  • server: memory_limit 512, max_input 300, max_execution 300

    [Thu Sep 14 09:49:30.730367 2017] [fcgid:warn] [pid 7507] [client 62.47.138.144:51128] mod_fcgid: stderr: PHP Warning: sprintf(): Too few arguments in /var/www/vhosts/…/TB/modules/tbupdater/classes/AjaxProcessor.php on line 958, referer: http://…/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater
    [Thu Sep 14 09:49:42.609358 2017] [fcgid:warn] [pid 6488] (104)Connection reset by peer: [client 62.47.138.144:51133] mod_fcgid: error reading data from FastCGI server, referer: http://…/TB/myadmin/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater
    [Thu Sep 14 09:49:42.609460 2017] [core:error] [pid 6488] [client 62.47.138.144:51133] End of script output before headers: ajax-upgradetab.php, referer: http://…/TB/myadmin/index.php?controller=AdminModules&token=16fff7e4556c3e3e643b91d5e4bc1d2e&configure=tbupdater&tab_module=administration&module_name=tbupdater


  • administrators

    End of script output before headers

    Try mod_php. FastCGI has been misconfigured.



  • You are kidding… Why should I downgrade and make requests slow with mod_php besides it opens security risks on the server ? I’m on nginx proxied.

    Don’t think FastCGI is misconfigured. No error-logs on this for any of the native Prestashops and WordPress sites running on same server. Misconfiguration is on TB scriptings and nowhere else.


  • administrators

    Even if a scripting error occurs, the fastcgi connection should not be closed before the whole message is sent over.
    It very likely is a security module that is trying to prevent a “flood” during the upgrade.



  • So best for now is to stay with my native Prestashop 1.6. than. There I’m not having this problem. Shop upgraded yesterday to latest version without any problems.


  • administrators

    Okay, but have you actually looked into the issue? Because we’re now like, 4 months later, and still no progress? :confused:


Log in to reply
 

Looks like your connection to thirty bees forum was lost, please wait while we try to reconnect.